Skip to main content
PATCH
/
api
/
v1
/
comments
/
{comment_id}
Update Comment
curl --request PATCH \
  --url https://api.example.com/api/v1/comments/{comment_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>"
}
'
{
  "author_id": "<string>",
  "card_id": "<string>",
  "content": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "allow_free_text": false,
  "choices": [
    {
      "id": "<string>",
      "label": "<string>"
    }
  ],
  "comment_type": "text",
  "responses": [
    {
      "responder_id": "<string>",
      "responder_name": "<string>",
      "free_text": "<string>",
      "selected": []
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

comment_id
string
required

Body

application/json

Schema for updating a comment.

content
string
required
Minimum string length: 1

Response

Successful Response

Schema for comment response.

author_id
string
required
card_id
string
required
content
string
required
created_at
string<date-time>
required
id
string
required
updated_at
string<date-time>
required
allow_free_text
boolean
default:false
choices
ChoiceOption · object[] | null
comment_type
string
default:text
responses
ChoiceResponse · object[] | null
Last modified on May 8, 2026